Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - linux-ck

Package Base Details: linux-ck

Git Clone URL: https://aur-dev.archlinux.org/linux-ck.git (read-only)
Submitter: graysky
Maintainer: graysky
Last Packager: graysky
Votes: 358
Popularity: 9.981475
First Submitted: 2011-07-22 14:51
Last Updated: 2017-02-02 00:11

Packages (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

graysky commented on 2017-01-15 01:58

Does that mean it compiles without modification? Please use makepkg and report back.

enihcam commented on 2017-01-15 01:24

@graysky the variable is declared if and only if suspend-to-RAM is enabled, otherwise compiler cannot find the variable therefore complains. I manually compiled the kernel sources with patches you provided.

snack commented on 2017-01-14 18:50

With linux-ck-core2 4.9.3-1 and nvidia-340xx-ck-core2 340.101-3 I cannot start the X server. I get an error "Error: driver Nvidia is already registered. Aborting". No problem for me to stay with linux 4.8, this is just a warning for those wishing to upgrade.

graysky commented on 2017-01-14 15:14

Disabling suspend to ram and affect compilation? Did you try building with makepkg?

enihcam commented on 2017-01-14 14:06

@graysky Disabling suspend-to-RAM can repro the issue.

graysky commented on 2017-01-14 13:24

How does that pm freezing lik you referenced apply to your situation? Did you try building as-is with makepkg?

enihcam commented on 2017-01-14 13:17

@graysky The issue is discussed here:
http://ck-hack.blogspot.com/2016/12/linux-49-ck1-muqss-version-0150.html?showComment=1481533077370#c7648396274643602658

Seems like one patch is missing.

graysky commented on 2017-01-14 12:42

Stop using an AUR helper which I believe you're using and just build with makepkg.

enihcam commented on 2017-01-14 06:41

Both of my two machines failed in compiling Linux-ck 4.9.3 with GCC 6.3.1. Anyone got the same issue?

<-Log Start-------------->

LD fs/built-in.o
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build linux-ck.
==> Restart building linux-ck ? [y/N]
==> ---------------------------------
==>

<-Log End------------->

SanskritFritz commented on 2017-01-13 21:55

Users of nvidia-304xx have held back the last version anyway since current version doesn't work at all :D